;   DAC Code Equates.
;   ================
;   Registers.
;   ---------
    cblock h'020'						; Bank 0 RAM start address. h'020' to h'06F' ( d'80' bytes.)
flags									; Any flags :-
    endc
;		    equ	    d'03'	; 
;		    equ	    d'02'	; 
;isr_toggle_f			    equ	d'01'	; DEBUG Toggle flag. Currently redundant.
wf_tbl_dir_f				equ	d'00'	; Waveform Table Inc./Dec. Direction flag. ( "1" = Inc. pointer DOWN the table.)

	cblock								; Table of 11 registers for the waveform DAC sample data.
wf_tbl_top:5							; Register for +90 deg. sample,
										; plus 4 intermediate samples.
wf_tbl_mid:5							; Register for   0 deg. sample,
										; plus 4 intermediate samples.
wf_tbl_end:								; Register for -90 deg. sample.

;table_pointer					; DEBUG. Program Memory Sample Table pointer.
										; Covers 11 samples with a value of 0 to 10 for the call "sample_data".
	endc


;   Constants.
;   ---------
;   Pages.
;   -----
page_0						equ d'00'

;   Banks.
;   -----
bank_0						equ d'00'
bank_1						equ d'01'
bank_2						equ d'02'
bank_3						equ d'03'
bank_4						equ d'04'
bank_5						equ d'05'
bank_6						equ d'06'
bank_7						equ d'07'
bank_8						equ d'08'
bank_10						equ d'10'
bank_11						equ d'11'
bank_27						equ d'27'
bank_29						equ d'29'

;	Absolute Banks.
;	--------------
abs_hi_bank_0				equ d'00'

;	Bits.
;	----
bit_7						equ d'07'
